This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 76279 - kernel-2.4.18-17.8.0.src.rpm bad source file drivers/net/wan/sdla_x25.c
kernel-2.4.18-17.8.0.src.rpm bad source file drivers/net/wan/sdla_x25.c
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 21:45 EDT by Michael J. Slifcak
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-05 11:35:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Slifcak 2002-10-18 21:45:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.1) Gecko/20020827

Description of problem:
Garbage was introduced to the source, which will fail to compile.
A difference delta follows which points to the problem.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.unpack kernel-2.4.18-17.8.0.src.rpm
2.vi +2167 drivers/net/wan/sdla_x25.c
3.comment is not terminated properly.
	

Actual Results:  2167c2167,2168
<               /* 0x8F enable allable allable allable all_intr_mode(card,
INTR_ON_RX_FRAME|    


Expected Results:  2167c2167,2168
---
>               /* 0x8F enable all interrupts */
>               x25_set_intr_mode(card, INTR_ON_RX_FRAME|       


Additional info:

diff -wr linux-2.4.18-17/drivers/net/wan/sdla_x25.c
linux-2.4.18-14/drivers/net/wan/sdla_x25.c
2167c2167,2168
<               /* 0x8F enable allable allable allable all_intr_mode(card,
INTR_ON_RX_FRAME|    
---
>               /* 0x8F enable all interrupts */
>               x25_set_intr_mode(card, INTR_ON_RX_FRAME|
Comment 1 Arjan van de Ven 2002-10-19 03:44:45 EDT
ehm this looks ok here...
could you rpm -V your kernel-source rpm ?
Comment 2 Arjan van de Ven 2003-04-05 11:35:25 EST
closing due to long inactivity in NEEDINFO state

Note You need to log in before you can comment on or make changes to this bug.